KDE 4.7 PyKDE API Reference

- KDE's Python API

# PartSelectEvent Class Reference

`from PyKDE4.kparts import *`

Inherits: KParts.Event → QEvent
Namespace: KParts

## Detailed Description

This event is sent when a part is selected or deselected.

See also:
  KParts.PartManager.setSelectionPolicy

## Methods
| __init__ (self, bool selected, KParts.Part part, QWidget widget)
| __init__ (self, KParts.PartSelectEvent other)
KParts.Part | part (self)
bool | selected (self)
QWidget | widget (self)
## Static Methods
bool | test (QEvent event)

## Method Documentation

__init__ | ( | self, |
|  | bool | selected,
|  | KParts.Part | part,
|  | QWidget | widget
| ) |  |  |

__init__ | ( | self, |
|  | KParts.PartSelectEvent | other
| ) |  |  |

KParts.Part part | ( |  | self ) |

bool selected | ( |  | self ) |

QWidget widget | ( |  | self ) |

## Static Method Documentation

bool test | ( | QEvent | event
| ) |  |  |